*+ F20.PRG
*
* Program generat de catre Bil41 - Contabil Profesional 4.49.282.1733
* Data: 09.05.2016 09:19:08
*
* Sursa: ..\DBFS\RAPFIN\2015\12\micro\DEF\F20.DEF
*
*
* Contine urmatoarele proceduri:
*
*   F20Get   - preia din baza de date in rxcx
*   F20Put   - completeaza rxcx in baza de date
*   F20Ver   - verifica corelatii rxcx
*   F20Comp  - completeaza din SumeP in rxcx
*   F20CompR - completeaza din alte raportari in rxcx
*   F20CTot  - Calculeaza totaluri din rxcx
*   F20DfTot - Defixeaza totaluri
*
*
*-

Procedure F20Get   && Citeste din baza de date


*
* Aceasta procedura citeste din baza de date
* si incarca variabilele rxcx
*

Private cda
Private i
Private j
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Select 0
 Use (locBD)+'F20.DBF' Again Order Tag BI_RAND Alias xyzzzz

 Flush && Asigur datele pe disc

 For i = 1 to 69
    Seek (i)
    If Found() Then
     	For j = 1 to 2
        	cda = "r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+"= xyzzzz.BI_C_"+AllTrim(Str(j))
        	&cda
	    EndFor
    Else
     	For j = 1 to 2
        	cda = "r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+" = 0"
        	&cda
	    EndFor
    EndIf
EndFor


Select xyzzzz
Use

Select (Zl)
=SetRecNo(nrArtZl)


Return &&F20Get()


Procedure F20Put   && Scrie in baza de date


*
* Aceasta procedura scrie in baza de date variabilele rxcx
* 

Private cda
Private i
Private j
Private l
Private c
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Select 0
 Use (locBD)+'F20.DBF' Again Order Tag BI_RAND Alias xyzzzz


 For i = 1 to 69
	l = AllTrim(Str(i))
    Seek (i)
    If !Found() Then
		Append Blank
		cda = "Replace  BI_RAND With "+AllTrim(Str(i))
        &cda
        Seek (i) && (de siguranta)
		
    EndIf
	*	
	* Inlocuiesc in coloanele care nu sunt marcate	
	*	
	For j = 1 to 2
		c = AllTrim(Str(j))
*       	cda = "If Empty(BI_F_"+AllTrim(Str(j))+") Then  Replace BI_C_"+AllTrim(Str(j))+" With r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+" EndIf"
   	   	cda = "Replace BI_C_"+c+" With IIf(Empty(BI_F_"+c+"), r"+l+"c"+c+",BI_C_"+c+")" 
   		&cda
	EndFor
EndFor

 Flush && Asigur datele pe disc

Select xyzzzz
Use

Select (Zl)
=SetRecNo(nrArtZl)

If !Empty((WOnTop())) Then
    Show Window (WOnTop()) Refresh Same
EndIf
*=Suna(MLD_BRAVO)

Return &&F20Put()


Procedure F20Ver   && Verifica corelatii

Private cda
Private zl
Private numarErori

zl=Select(0)
numarErori = 0


Define Window WiVeCo From 8,20 to 16,60 Title 'Verificare corelatii' In Screen Double Shadow 
Activate Window WiVeCo


 Flush && Asigur datele pe disc


hTerm = 1
Do While hTerm = 1
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r1 >= 0"
@3,1 Say " r1c1 >=0..."
        If .T. Then
           If !( r1c1 >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r1 >= 0  r1c1 >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r1 >= 0"
@3,1 Say " r1c2 >=0..."
        If .T. Then
           If !( r1c2 >=0) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r1 >= 0  r1c2 >=0 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r1 =r2+r3-r4+r5+r6"
@3,1 Say " r1c1 =r2c1+r3c1-r4c1+r5c1+r6c1..."
        If .T. Then
           If !( r1c1 =r2c1+r3c1-r4c1+r5c1+r6c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r1 =r2+r3-r4+r5+r6  r1c1 =r2c1+r3c1-r4c1+r5c1+r6c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r1 =r2+r3-r4+r5+r6"
@3,1 Say " r1c2 =r2c2+r3c2-r4c2+r5c2+r6c2..."
        If .T. Then
           If !( r1c2 =r2c2+r3c2-r4c2+r5c2+r6c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r1 =r2+r3-r4+r5+r6  r1c2 =r2c2+r3c2-r4c2+r5c2+r6c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r13 >= r14"
@3,1 Say " r13c1 >=r14c1..."
        If .T. Then
           If !( r13c1 >=r14c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r13 >= r14  r13c1 >=r14c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r13 >= r14"
@3,1 Say " r13c2 >=r14c2..."
        If .T. Then
           If !( r13c2 >=r14c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r13 >= r14  r13c2 >=r14c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r16 =r1+r7-r8+r9+r13"
@3,1 Say " r16c1 =r1c1+r7c1-r8c1+r9c1+r13c1..."
        If .T. Then
           If !( r16c1 =r1c1+r7c1-r8c1+r9c1+r13c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r16 =r1+r7-r8+r9+r13  r16c1 =r1c1+r7c1-r8c1+r9c1+r13c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r16 =r1+r7-r8+r9+r13"
@3,1 Say " r16c2 =r1c2+r7c2-r8c2+r9c2+r13c2..."
        If .T. Then
           If !( r16c2 =r1c2+r7c2-r8c2+r9c2+r13c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r16 =r1+r7-r8+r9+r13  r16c2 =r1c2+r7c2-r8c2+r9c2+r13c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r22 =r23+r24"
@3,1 Say " r22c1 =r23c1+r24c1..."
        If .T. Then
           If !( r22c1 =r23c1+r24c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r22 =r23+r24  r22c1 =r23c1+r24c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r22 =r23+r24"
@3,1 Say " r22c2 =r23c2+r24c2..."
        If .T. Then
           If !( r22c2 =r23c2+r24c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r22 =r23+r24  r22c2 =r23c2+r24c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r25 =r26-r27"
@3,1 Say " r25c1 =r26c1-r27c1..."
        If .T. Then
           If !( r25c1 =r26c1-r27c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r25 =r26-r27  r25c1 =r26c1-r27c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r25 =r26-r27"
@3,1 Say " r25c2 =r26c2-r27c2..."
        If .T. Then
           If !( r25c2 =r26c2-r27c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r25 =r26-r27  r25c2 =r26c2-r27c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r28 =r29-r30"
@3,1 Say " r28c1 =r29c1-r30c1..."
        If .T. Then
           If !( r28c1 =r29c1-r30c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r28 =r29-r30  r28c1 =r29c1-r30c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r28 =r29-r30"
@3,1 Say " r28c2 =r29c2-r30c2..."
        If .T. Then
           If !( r28c2 =r29c2-r30c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r28 =r29-r30  r28c2 =r29c2-r30c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r31 =r32+r33+r34+r35+r36+r37+r38"
@3,1 Say " r31c1 =r32c1+r33c1+r34c1+r35c1+r36c1+r37c1+r38c1..."
        If .T. Then
           If !( r31c1 =r32c1+r33c1+r34c1+r35c1+r36c1+r37c1+r38c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r31 =r32+r33+r34+r35+r36+r37+r38  r31c1 =r32c1+r33c1+r34c1+r35c1+r36c1+r37c1+r38c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r31 =r32+r33+r34+r35+r36+r37+r38"
@3,1 Say " r31c2 =r32c2+r33c2+r34c2+r35c2+r36c2+r37c2+r38c2..."
        If .T. Then
           If !( r31c2 =r32c2+r33c2+r34c2+r35c2+r36c2+r37c2+r38c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r31 =r32+r33+r34+r35+r36+r37+r38  r31c2 =r32c2+r33c2+r34c2+r35c2+r36c2+r37c2+r38c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r39 =r40-r41"
@3,1 Say " r39c1 =r40c1-r41c1..."
        If .T. Then
           If !( r39c1 =r40c1-r41c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r39 =r40-r41  r39c1 =r40c1-r41c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r39 =r40-r41"
@3,1 Say " r39c2 =r40c2-r41c2..."
        If .T. Then
           If !( r39c2 =r40c2-r41c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r39 =r40-r41  r39c2 =r40c2-r41c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r42 =r17+r18+r19+r20-r21+r22+r25+r28+r31+r39"
@3,1 Say " r42c1 =r17c1+r18c1+r19c1+r20c1-r21c1+r22c1+r25c1+r28c1+r31c1+r39c1..."
        If .T. Then
           If !( r42c1 =r17c1+r18c1+r19c1+r20c1-r21c1+r22c1+r25c1+r28c1+r31c1+r39c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r42 =r17+r18+r19+r20-r21+r22+r25+r28+r31+r39  r42c1 =r17c1+r18c1+r19c1+r20c1-r21c1+r22c1+r25c1+ ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r42 =r17+r18+r19+r20-r21+r22+r25+r28+r31+r39"
@3,1 Say " r42c2 =r17c2+r18c2+r19c2+r20c2-r21c2+r22c2+r25c2+r28c2+r31c2+r39c2..."
        If .T. Then
           If !( r42c2 =r17c2+r18c2+r19c2+r20c2-r21c2+r22c2+r25c2+r28c2+r31c2+r39c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r42 =r17+r18+r19+r20-r21+r22+r25+r28+r31+r39  r42c2 =r17c2+r18c2+r19c2+r20c2-r21c2+r22c2+r25c2+ ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r43c1 =r16c1-r42c1 daca r16c1 > r42c1"
@3,1 Say " r43c1 =r16c1-r42c1 ..."
        If  r16c1 > r42c1 Then
           If !( r43c1 =r16c1-r42c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r43c1 =r16c1-r42c1 daca r16c1 > r42c1  r43c1 =r16c1-r42c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r43c2 =r16c2-r42c2 daca r16c2 > r42c2"
@3,1 Say " r43c2 =r16c2-r42c2 ..."
        If  r16c2 > r42c2 Then
           If !( r43c2 =r16c2-r42c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r43c2 =r16c2-r42c2 daca r16c2 > r42c2  r43c2 =r16c2-r42c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r44c1 =r42c1-r16c1 daca r42c1 >= r16c1"
@3,1 Say " r44c1 =r42c1-r16c1 ..."
        If  r42c1 >= r16c1 Then
           If !( r44c1 =r42c1-r16c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r44c1 =r42c1-r16c1 daca r42c1 >= r16c1  r44c1 =r42c1-r16c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r44c2 =r42c2-r16c2 daca r42c2 >= r16c2"
@3,1 Say " r44c2 =r42c2-r16c2 ..."
        If  r42c2 >= r16c2 Then
           If !( r44c2 =r42c2-r16c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r44c2 =r42c2-r16c2 daca r42c2 >= r16c2  r44c2 =r42c2-r16c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r45 >= r46"
@3,1 Say " r45c1 >=r46c1..."
        If .T. Then
           If !( r45c1 >=r46c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r45 >= r46  r45c1 >=r46c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r45 >= r46"
@3,1 Say " r45c2 >=r46c2..."
        If .T. Then
           If !( r45c2 >=r46c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r45 >= r46  r45c2 >=r46c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r47 >= r48"
@3,1 Say " r47c1 >=r48c1..."
        If .T. Then
           If !( r47c1 >=r48c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r47 >= r48  r47c1 >=r48c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r47 >= r48"
@3,1 Say " r47c2 >=r48c2..."
        If .T. Then
           If !( r47c2 >=r48c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r47 >= r48  r47c2 >=r48c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r53 =r54-r55"
@3,1 Say " r53c1 =r54c1-r55c1..."
        If .T. Then
           If !( r53c1 =r54c1-r55c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r53 =r54-r55  r53c1 =r54c1-r55c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r53 =r54-r55"
@3,1 Say " r53c2 =r54c2-r55c2..."
        If .T. Then
           If !( r53c2 =r54c2-r55c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r53 =r54-r55  r53c2 =r54c2-r55c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r56 >= r57"
@3,1 Say " r56c1 >=r57c1..."
        If .T. Then
           If !( r56c1 >=r57c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r56 >= r57  r56c1 >=r57c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r56 >= r57"
@3,1 Say " r56c2 >=r57c2..."
        If .T. Then
           If !( r56c2 >=r57c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r56 >= r57  r56c2 >=r57c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r59 =r53+r56+r58"
@3,1 Say " r59c1 =r53c1+r56c1+r58c1..."
        If .T. Then
           If !( r59c1 =r53c1+r56c1+r58c1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r59 =r53+r56+r58  r59c1 =r53c1+r56c1+r58c1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r59 =r53+r56+r58"
@3,1 Say " r59c2 =r53c2+r56c2+r58c2..."
        If .T. Then
           If !( r59c2 =r53c2+r56c2+r58c2) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r59 =r53+r56+r58  r59c2 =r53c2+r56c2+r58c2 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r60c1 =r52c1-r59c1 daca r52c1 > r59c1"
@3,1 Say " r60c1 =r52c1-r59c1 ..."
        If  r52c1 > r59c1 Then
           If !( r60c1 =r52c1-r59c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r60c1 =r52c1-r59c1 daca r52c1 > r59c1  r60c1 =r52c1-r59c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r60c2 =r52c2-r59c2 daca r52c2 > r59c2"
@3,1 Say " r60c2 =r52c2-r59c2 ..."
        If  r52c2 > r59c2 Then
           If !( r60c2 =r52c2-r59c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r60c2 =r52c2-r59c2 daca r52c2 > r59c2  r60c2 =r52c2-r59c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r61c1 =r59c1-r52c1 daca r59c1 >= r52c1"
@3,1 Say " r61c1 =r59c1-r52c1 ..."
        If  r59c1 >= r52c1 Then
           If !( r61c1 =r59c1-r52c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r61c1 =r59c1-r52c1 daca r59c1 >= r52c1  r61c1 =r59c1-r52c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r61c2 =r59c2-r52c2 daca r59c2 >= r52c2"
@3,1 Say " r61c2 =r59c2-r52c2 ..."
        If  r59c2 >= r52c2 Then
           If !( r61c2 =r59c2-r52c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r61c2 =r59c2-r52c2 daca r59c2 >= r52c2  r61c2 =r59c2-r52c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r64c1 =r62c1-r63c1 daca r62c1 > r63c1"
@3,1 Say " r64c1 =r62c1-r63c1 ..."
        If  r62c1 > r63c1 Then
           If !( r64c1 =r62c1-r63c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r64c1 =r62c1-r63c1 daca r62c1 > r63c1  r64c1 =r62c1-r63c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r64c2 =r62c2-r63c2 daca r62c2 > r63c2"
@3,1 Say " r64c2 =r62c2-r63c2 ..."
        If  r62c2 > r63c2 Then
           If !( r64c2 =r62c2-r63c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r64c2 =r62c2-r63c2 daca r62c2 > r63c2  r64c2 =r62c2-r63c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r65c1 =r63c1-r62c1 daca r63c1 >= r62c1"
@3,1 Say " r65c1 =r63c1-r62c1 ..."
        If  r63c1 >= r62c1 Then
           If !( r65c1 =r63c1-r62c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r65c1 =r63c1-r62c1 daca r63c1 >= r62c1  r65c1 =r63c1-r62c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r65c2 =r63c2-r62c2 daca r63c2 >= r62c2"
@3,1 Say " r65c2 =r63c2-r62c2 ..."
        If  r63c2 >= r62c2 Then
           If !( r65c2 =r63c2-r62c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r65c2 =r63c2-r62c2 daca r63c2 >= r62c2  r65c2 =r63c2-r62c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r68c1 =r64c1-r65c1-r66c1-r67c1 daca r64c1-r65c1-r66c1-r67c1 > 0"
@3,1 Say " r68c1 =r64c1-r65c1-r66c1-r67c1 ..."
        If  r64c1-r65c1-r66c1-r67c1 > 0 Then
           If !( r68c1 =r64c1-r65c1-r66c1-r67c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r68c1 =r64c1-r65c1-r66c1-r67c1 daca r64c1-r65c1-r66c1-r67c1 > 0  r68c1 =r64c1-r65c1-r66c1-r67c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r68c2 =r64c2-r65c2-r66c2-r67c2 daca r64c2-r65c2-r66c2-r67c2 > 0"
@3,1 Say " r68c2 =r64c2-r65c2-r66c2-r67c2 ..."
        If  r64c2-r65c2-r66c2-r67c2 > 0 Then
           If !( r68c2 =r64c2-r65c2-r66c2-r67c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r68c2 =r64c2-r65c2-r66c2-r67c2 daca r64c2-r65c2-r66c2-r67c2 > 0  r68c2 =r64c2-r65c2-r66c2-r67c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r69c1 =r65c1+r66c1+r67c1-r64c1 daca r65c1+r66c1+r67c1-r64c1 >= 0"
@3,1 Say " r69c1 =r65c1+r66c1+r67c1-r64c1 ..."
        If  r65c1+r66c1+r67c1-r64c1 >= 0 Then
           If !( r69c1 =r65c1+r66c1+r67c1-r64c1 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r69c1 =r65c1+r66c1+r67c1-r64c1 daca r65c1+r66c1+r67c1-r64c1 >= 0  r69c1 =r65c1+r66c1+r67c1-r64c1  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r69c2 =r65c2+r66c2+r67c2-r64c2 daca r65c2+r66c2+r67c2-r64c2 >= 0"
@3,1 Say " r69c2 =r65c2+r66c2+r67c2-r64c2 ..."
        If  r65c2+r66c2+r67c2-r64c2 >= 0 Then
           If !( r69c2 =r65c2+r66c2+r67c2-r64c2 ) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r69c2 =r65c2+r66c2+r67c2-r64c2 daca r65c2+r66c2+r67c2-r64c2 >= 0  r69c2 =r65c2+r66c2+r67c2-r64c2  ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
hTerm = 2
EndDo

Deactivate Window WiVeCo
Release Window WiVeCo

Select(zl)


 If numarErori = 0 Then
      =Suna(MLD_BRAVO)

	msg1 = Lauda() 
	msg2 = 'La verificarea corelatiilor'
	msg3 = 'nu a fost detectata'
	msg4 = 'nici macar o singura eroare'
	Do Info With ' '+msg1,msg2,msg3,msg4
 EndIf


Return &&F20Ver()


Procedure F20Comp   && Completeaza din SumeP

Private zl
Private nrArtZl
Private cda
Private oBiLei
Private oBiRot   && Loc in care retine rotunjirea

Flush && Asigur datele pe disc

zl=Select(0)
nrArtZl=GetRecNo()
*
* Retin setarile (mod de calcul si rotunjire
*
oBiRot = __BiRot
oBiLei = __BiLei
*
* * M.Cazac 30 apr 2016
* * M.Cazac 16 apr 2015
* * Lavinia 19 mar 2014
* * Lavinia 27 apr 2013
* * Lavinia 09 Mar 2012
* * Lavinia 26 Feb 2011
* * Lavinia 05 Feb 2010
* * Lavinia 12 Feb 2009
* * M.Cazac 08/02/2008
* *
* * cor. Vasile 01.02.2007
* *             27.02.2007 Melinda
* *
* *
* * In cele ce urmeaza exista cateva indicatii suplimentare fata de manual
* * Editati acest fisier dupa cum doriti; ideea este sa stergeti toate prostiile
* *
* * -----------
* *| Definitii |
* * -----------
* * Functiile admise sunt cele descrise in documentatie si numele lor
* * respecta urmatoarele reguli:
* * ---------------------------------------------------------------
* *| Prima litera  | A doua litera | A treia litera| A patra litera|
* *|---------------|---------------|---------------|---------------
* *| s - Sold      |  d - Debit    |  l - Luna     | c - curenta   |
* *| t - Total sume|               |  p - Perioada |               |
* *| r - Rulaj     |  c - Credit   |  a - An       | p - precedenta|
* * ---------------------------------------------------------------
* *
* * Introduceti in continuare definitii pentru variabilele pe care doriti
* * sa le utilizati in corelatii.
* *
* *[definitii]
* *
* *r1c1 = sdac(201+203+205+207+208+230)-scac(280+290+293)
* *r1c2 = sdpc(201+203+205+207+208+230)-scpc(280+290+293)
* *
* *r2c1 = sdac(211+212+231)-scac(2810+281+291+293)
* *r2c2 = sdpc(211+212+231)-scpc(2810+281+291+293)
* *
* *r4 = r1+r2+r3
* *
* * Maximul lungimii pentru o linie este 255 caractere
* * O linie foarte lunga se va desparti in linii mai scurte
* * utilizand variabile intermediare; in exemplul de mai jos x1, x2, x3
* *
* * Deasemenea se pot utiliza continuari de linii, cu ; in ultima coloana
* * Se observa in exemplul cu X2 de mai jos , ca , pentru lizibilitate:
* * s-au grupat conturile pe linii, deasemenea observati (si procedati la fel)
* * in ce priveste:
* * - alinierea (utilizati TAB-uri)
* * - semnul plus este la inceputul liniei de continuare
* * - parantezele de inceput si sfarsit sunt pe linii separate
* *
* *
* 
* *[corelatii]
* 
* *
* * In cazul in care corelatiile sunt conditionate, tb scrisa fiecare coloana
* *
* 
* 
* * ------------------------------------------------------------------
* 
* 
* * Analitice utilizate in formular
* 
* 
* *a3="xxxx" && 7611 venit obt. din unit afiliate
* *a4="xxxx" && Analitic 763 veniturile din alte invest.obtinute de la entitatile afiliate
* *a5="xxxx" && Analitic 766 veniturile din alte invest.obtinute de la entitatile afiliate
* *a6="xxxx" && analitic la 666 chelt.dob. in relatia cu entitatile afiliate
* 
* 
* 
* * 1.Cifra de afaceri neta (rd.02 la 05)
* 
* 
* * Productia vnduta (ct.701+702+703+704+705+706+708)
* 
        r2c1 =Round((rcap("701")+rcap("702")+rcap("703")+rcap("704")+rcap("705")+rcap("706")+rcap("708"))/__BiLei,__BiRot)
        r2c2 =Round((rcac("701")+rcac("702")+rcac("703")+rcac("704")+rcac("705")+rcac("706")+rcac("708"))/__BiLei,__BiRot)
* 
* * Venituri din vnzarea marfurilor (ct.707)
* 
        r3c1 =Round((rcap("707"))/__BiLei,__BiRot)
        r3c2 =Round((rcac("707"))/__BiLei,__BiRot)
* 
        r4c1 =Round((rdap("709"))/__BiLei,__BiRot)
        r4c2 =Round((rdac("709"))/__BiLei,__BiRot)
* *
* * Venituri din dobanzi inregistrate de entitatile al caror obiect de activitate il constituie leasingul
* *(ct. 766)
* *
        r5c1 =Round((rcap("766_.leas"))/__BiLei,__BiRot)
        r5c2 =Round((rcac("766_.leas"))/__BiLei,__BiRot)
* 
* 
* * Venituri din subventii de exploatare aferente cifrei de afaceri nete (ct.7411)
* *
        r6c1 =Round((rcap("7411"))/__BiLei,__BiRot)
        r6c2 =Round((rcac("7411"))/__BiLei,__BiRot)
* *
* * 2.Variatia stocurilor de produse finite (ct.711) Sold C
* * si a productiei in curs de executie    Sold D
* *
* * Se pune manual (suma aritmetica a soldurilor lunare a lui 711 inchise prin 121)
* *
        r7c1 =Round((scap("711")+scap("712"))/__BiLei,__BiRot)
        r7c2 =Round((scac("711")+scac("712"))/__BiLei,__BiRot)
* 
        r8c1 =Round((sdap("711")+sdap("712"))/__BiLei,__BiRot)
        r8c2 =Round((sdac("711")+sdac("712"))/__BiLei,__BiRot)
* 
* * 3.Productia realizata de entitate pentru scopurile sale proprii si capitalizata (ct.721+722)
* 
        r9c1 =Round((rcap("721")+rcap("722"))/__BiLei,__BiRot)
        r9c2 =Round((rcac("721")+rcac("722"))/__BiLei,__BiRot)
* 
* * 4. Alte venituri din exploatare 751+758+7815
* * (pt 2014 a fost 758+7417+7815)
* 
        r13c1 =Round((rcap("751")+rcap("758")+rcap("7815"))/__BiLei,__BiRot)
        r13c2 =Round((rcac("751")+rcac("758")+rcac("7815"))/__BiLei,__BiRot)
* 
* 
        r14c1 =Round((rcap("7815"))/__BiLei,__BiRot)
        r14c2 =Round((rcac("7815"))/__BiLei,__BiRot)
* 
* *
* * VENITURI DIN EXPLOATARE - TOTAL (rd.01+06-07+08+09)
* *
* 
* * 5. a) Cheltuieli cu materiile prime si materialele consumabile (ct.601+602)
* *
        r17c1 =Round((rdap("601")+rdap("602"))/__BiLei,__BiRot)
        r17c2 =Round((rdac("601")+rdac("602"))/__BiLei,__BiRot)
* 
* * Alte cheltuieli materiale (ct.603+604+606+608)
* *
        r18c1 =Round((rdap("603")+rdap("604")+rdap("606")+rdap("608"))/__BiLei,__BiRot)
        r18c2 =Round((rdac("603")+rdac("604")+rdac("606")+rdac("608"))/__BiLei,__BiRot)
* 
* *b) Alte cheltuieli externe (cu energie si apa) (ct.605-7413)
* *
        r19c1 =Round((rdap("605"))/__BiLei,__BiRot)
        r19c2 =Round((rdac("605"))/__BiLei,__BiRot)
* 
* * c) Cheltuieli privind marfurile (ct.607)
* *
        r20c1 =Round((rdap("607"))/__BiLei,__BiRot)
        r20c2 =Round((rdac("607"))/__BiLei,__BiRot)
* 
        r21c1 =Round((rdap("609"))/__BiLei,__BiRot)
        r21c2 =Round((rdac("609"))/__BiLei,__BiRot)
* *
* *6.Cheltuieli cu personalul (rd.16+17), din care:
* *
* 
* * a) Salarii si indemnizatii (ct.641+642-7414)
* 
        r23c1 =Round((rdap("641")+rdap("642")+rdap("643")+rdap("644"))/__BiLei,__BiRot)
        r23c2 =Round((rdac("641")+rdac("642")+rdac("643")+rdac("644"))/__BiLei,__BiRot)
* 
* *b) Cheltuieli cu asigurarile si protectia sociala (ct.645-7415)
* *
        r24c1 =Round((rdap("645"))/__BiLei,__BiRot)
        r24c2 =Round((rdac("645"))/__BiLei,__BiRot)
* 
* * 7. a) Ajustari de valoare privind imobilizarile corporale si necorporale (rd.19-20)
* 
* 
* * a.1) Cheltuieli (ct.6811+6813+6817)
* 
        r26c1 =Round((rdap("6811")+rdap("6813")+rdap("6817"))/__BiLei,__BiRot)
        r26c2 =Round((rdac("6811")+rdac("6813")+rdac("6817"))/__BiLei,__BiRot)
* 
* *a.2) Venituri (ct.7813) 20
* 
        r27c1 =Round((rcap("7813"))/__BiLei,__BiRot)
        r27c2 =Round((rcac("7813"))/__BiLei,__BiRot)
* 
* *b) Ajustari de valoare privind activele circulante (rd.22-23) 21
* 
* 
* *b.1) Cheltuieli (ct.654+6814) 22
* 
        r29c1 =Round((rdap("654")+rdap("6814"))/__BiLei,__BiRot)
        r29c2 =Round((rdac("654")+rdac("6814"))/__BiLei,__BiRot)
* 
* * b.2) Venituri (ct.754+7814) 23
* 
        r30c1 =Round((rcap("754")+rcap("7814"))/__BiLei,__BiRot)
        r30c2 =Round((rcac("754")+rcac("7814"))/__BiLei,__BiRot)
* 
* * 8. Alte cheltuieli de exploatare (rd.25 la 28) 24
* 
* 
* 
* *8.1 Cheluieli privind prestatiile externe
* 
        r32c1 =Round((rdap("611")+rdap("612")+rdap("613")+rdap("614")+rdap("615")+rdap("621")+rdap("622")+rdap("623")+rdap("624")+rdap("625")+rdap("626")+rdap("627")+rdap("628"))/__BiLei,__BiRot)
        r32c2 =Round((rdac("611")+rdac("612")+rdac("613")+rdac("614")+rdac("615")+rdac("621")+rdac("622")+rdac("623")+rdac("624")+rdac("625")+rdac("626")+rdac("627")+rdac("628"))/__BiLei,__BiRot)
* 
* * 8.2 Cheltuieli cu alte impozite, taxe si varsaminte asimilate
* 
        r33c1 =Round((rdap("635")+rdap("6586"))/__BiLei,__BiRot)
        r33c2 =Round((rdac("635")+rdac("6586"))/__BiLei,__BiRot)
* 
* * 8.3 Cheltuieli prot mediului inconj
* 
        r34c1 =Round((rdap("652"))/__BiLei,__BiRot)
        r34c2 =Round((rdac("652"))/__BiLei,__BiRot)
* 
* 
        r35c1 =Round((rdap("655"))/__BiLei,__BiRot)
        r35c2 =Round((rdac("655"))/__BiLei,__BiRot)
* 
        r36c1 =Round((rdap("6587"))/__BiLei,__BiRot)
        r36c2 =Round((rdac("6587"))/__BiLei,__BiRot)
* 
        r37c1 =Round((rdap("651")+rdap("6581")+rdap("6582")+rdap("6583")+rdap("6588"))/__BiLei,__BiRot)
        r37c2 =Round((rdac("651")+rdac("6581")+rdac("6582")+rdac("6583")+rdac("6588"))/__BiLei,__BiRot)
* 
* * Cheltuieli privind dobanzile de refinantare inregistrate de entitatile
* * al caror obiect de activitate il constituie leasingul (ct. 666)
* *
        r38c1 =Round((rdap("666_.leas"))/__BiLei,__BiRot)
        r38c2 =Round((rdac("666_.leas"))/__BiLei,__BiRot)
* 
* * Ajustari privind provizioanele (rd.30-31)
* 
* 
* * - Cheltuieli (ct.6812) 30
* 
        r40c1 =Round((rdap("6812"))/__BiLei,__BiRot)
        r40c2 =Round((rdac("6812"))/__BiLei,__BiRot)
* 
* * - Venituri (ct.7812)
* 
        r41c1 =Round((rcap("7812"))/__BiLei,__BiRot)
        r41c2 =Round((rcac("7812"))/__BiLei,__BiRot)
* 
* * CHELTUIELI DE EXPLOATARE - TOTAL (rd.11 la 15 +18+21+24+29)
* 
* 
* 
* * PROFITUL SAU PIERDEREA DIN EXPLOATARE - Profit (rd.10-32)
* *
        If (r16c1 > r42c1) Then
            r43c1 =r16c1-r42c1 
        EndIf
        If (r16c2 > r42c2) Then
            r43c2 =r16c2-r42c2 
        EndIf
* 
* * Pierdere (32-10)
* *
        If (r42c1 >= r16c1) Then
            r44c1 =r42c1-r16c1 
        EndIf
        If (r42c2 >= r16c2) Then
            r44c2 =r42c2-r16c2 
        EndIf
* 
* 
* * 9. Venituri din interese de participare (ct. 7611+7613)
* *
        r45c1 =Round((rcap("7611")+rcap("7612")+rcap("7613"))/__BiLei,__BiRot)
        r45c2 =Round((rcac("7611")+rcac("7612")+rcac("7613"))/__BiLei,__BiRot)
* 
* 
* * din care, veniturile obtinute de la entitatile afiliate
* 
        r46c1 =Round((rcap("7611.afil")+rcap("7612.afil")+rcap("7613.afil"))/__BiLei,__BiRot)
        r46c2 =Round((rcac("7611.afil")+rcac("7612.afil")+rcac("7613.afil"))/__BiLei,__BiRot)
* 
* * Venituri din dobnzi (ct.766)
* 
        r47c1 =Round((rcap("766"))/__BiLei,__BiRot)
        r47c2 =Round((rcac("766"))/__BiLei,__BiRot)
* 
* * din care, veniturile obtinute de la entitatile afiliate
* 
        r48c1 =Round((rcap("766_.afil"))/__BiLei,__BiRot)
        r48c2 =Round((rcac("766_.afil"))/__BiLei,__BiRot)
* 
* * Ven.din subv.de expl.pt.dob.datoarata
* 
        r49c1 =Round((rcap("7418"))/__BiLei,__BiRot)
        r49c2 =Round((rcac("7418"))/__BiLei,__BiRot)
* 
* 
* * Alte venituri financiare (ct.762+764+765+767+768+7615)
* 
        r50c1 =Round((rcap("762")+rcap("764")+rcap("765")+rcap("767")+rcap("768")+rcap("7615"))/__BiLei,__BiRot)
        r50c2 =Round((rcac("762")+rcac("764")+rcac("765")+rcac("767")+rcac("768")+rcac("7615"))/__BiLei,__BiRot)
* 
        r51c1 =Round((rcap("7615"))/__BiLei,__BiRot)
        r51c2 =Round((rcac("7615"))/__BiLei,__BiRot)
* 
* * VENITURI FINANCIARE - TOTAL (rd.45+47+49+50)
* 
* 
* * 12.Ajustari de valoare privind imobilizarile financiare si  a
* * investitiilor financiare detinute ca active circulante (rd.44-45)
* 
* 
* *
* * - Cheltuieli (ct.686) 44
* *
        r54c1 =Round((rdap("686"))/__BiLei,__BiRot)
        r54c2 =Round((rdac("686"))/__BiLei,__BiRot)
* 
* * - Venituri (ct.786)
* 
        r55c1 =Round((rcap("786"))/__BiLei,__BiRot)
        r55c2 =Round((rcac("786"))/__BiLei,__BiRot)
* 
* * 13. Cheltuieli privind dobnzile (ct.666-7418)
* 
        r56c1 =Round((rdap("666"))/__BiLei,__BiRot)
        r56c2 =Round((rdac("666"))/__BiLei,__BiRot)
* 
* * din care, cheltuielile in relatia cu entitatile afiliate
* 
        r57c1 =Round((rdap("666_.afil")-rcap("7418.afil"))/__BiLei,__BiRot)
        r57c2 =Round((rdac("666_.afil")-rcac("7418.afil"))/__BiLei,__BiRot)
* 
* 
* * Alte cheltuieli financiare (ct.663+664+665+667+668)
* 
        r58c1 =Round((rdap("663")+rdap("664")+rdap("665")+rdap("667")+rdap("668"))/__BiLei,__BiRot)
        r58c2 =Round((rdac("663")+rdac("664")+rdac("665")+rdac("667")+rdac("668"))/__BiLei,__BiRot)
* 
* * CHELTUIELI FINANCIARE - TOTAL (rd.43+46+48)
* 
* 
* * PROFITUL SAU PIERDEREA FINANCIAR(A) - Profit (rd.42-49)
* 
        If (r52c1 > r59c1) Then
            r60c1 =r52c1-r59c1 
        EndIf
        If (r52c2 > r59c2) Then
            r60c2 =r52c2-r59c2 
        EndIf
* 
        If (r59c1 > r52c1) Then
            r61c1 =r59c1-r52c1 
        EndIf
        If (r59c2 > r52c2) Then
            r61c2 =r59c2-r52c2 
        EndIf
* 
* 
* * VENITURI TOTALE (rd.10+42+54) 58
* 
* 
* * CHELTUIELI TOTALE (rd.32+49+55)
* 
* 
* *PROFITUL SAU PIERDERA BRUTA - Profit (rd.58-59) 60
* 
        If (r62c1 > r63c1) Then
            r64c1 =r62c1-r63c1 
        EndIf
        If (r62c2 > r63c2) Then
            r64c2 =r62c2-r63c2 
        EndIf
* 
* * Pierdere (rd.59-58)
* 
        If (r63c1 > r62c1) Then
            r65c1 =r63c1-r62c1 
        EndIf
        If (r63c2 > r62c2) Then
            r65c2 =r63c2-r62c2 
        EndIf
* 
* * 18.Impozitul pe profit (ct.691)
* 
        r66c1 =Round((rdap("691"))/__BiLei,__BiRot)
        r66c2 =Round((rdac("691"))/__BiLei,__BiRot)
* 
* *19. Alte impozite neprezentate la elementele de mai sus (ct. 698)
* 
        r67c1 =Round((rdap("698"))/__BiLei,__BiRot)
        r67c2 =Round((rdac("698"))/__BiLei,__BiRot)
* 
* *
* *20. PROFITUL SAU PIERDEREA NET(A) A EXERCITIULUI FINANCIAR 64
* *
* * Urmatoarele doua formule sunt bine asa, nu cum au scris tontii aia de la MF
* * - In 67 se pune daca e profit
* *  - In 68 se pune daca e pierdere
* *
* *r68c1 = r64c1-r66c1-r67c1 daca r64c1 >r66c1+r67c1
* *r68c2 = r64c2-r66c2-r67c2 daca r64c2 >r66c2+r67c2
* *
* 
* *r69c1 = Abs(r64c1-r66c1-r67c1) daca r64c1 <= r66c1+r67c1
* *r69c2 = Abs(r64c2-r66c2-r67c2) daca r64c2 <= r66c2+r67c2
* *
* *
* * Sau alt fel (pt.linistea noastra)
* *
* *r68c1 =r64c1-r66c1-r67c1 daca r64c1 > 0
* *r68c2 =r64c2-r66c2-r67c2 daca r64c2 > 0
* *
* *r69c1 = r65c1+r66c1+r67c1 daca r65c1 >0
* *r69c2 = r65c2+r66c2+r67c2 daca r65c2 >0
* 
* * Sau, mai nou: 11/05/2012 (Lavinia din MF)
* 
        If (r64c1 > r65c1+r66c1+r67c1) Then
            r68c1 =r64c1-r65c1-r66c1-r67c1 
        EndIf
        If (r64c2 > r65c2+r66c2+r67c2) Then
            r68c2 =r64c2-r65c2-r66c2-r67c2 
        EndIf
* 
        If (r65c1+r66c1+r67c1 > r64c1) Then
            r69c1 =r65c1+r66c1+r67c1 - r64c1 
        EndIf
        If (r65c2+r66c2+r67c2 > r64c2) Then
            r69c2 =r65c2+r66c2+r67c2 - r64c2 
        EndIf
* 
* 
* *
* * Corelatii pentru  CONTUL DE PROFIT SI PIERDERE (cod 20) 2010
* *
* 
* 
* 
* 
* 
* 
* 
* *
* *     Rd. 46 >= 47   (col. 1 si 2)
* *
* *     Rd. 49  = rd. 43 + 46 + 48                                   (col. 1 si 2)
* *
* *     Rd. 50 = rd. 42 - 49,  daca  rd. 42 - 49 > 0                 (col. 1 si 2)
* *     Rd. 51 = rd. 49 - 42,  daca  rd. 42 - 49 <= 0                (col. 1 si 2)
* *
* *     Rd. 52 = rd. 10 + 42 - 32 - 49,
* *                               daca rd. 10 + 42 - 32 - 49 > 0     (col. 1 si 2)
* *     Rd. 53 = rd. 32 + 49 - 10 - 42,
* *                               daca rd. 10 + 42 - 32 - 49 <= 0    (col. 1 si 2)
* *
* *     Rd. 56 = rd. 54 - 55,  daca rd. 54  - 55 > 0                 (col. 1 si 2)
* *     Rd. 57 = rd. 55 - 54,  daca rd. 54  - 55 <= 0                (col. 1 si 2)
* 
* 
* 
* 
* 
* 
* *
* *     Rd. 58 = rd. 10 + 42 + 54                                    (col. 1 si 2)
* *     Rd. 59 = rd. 32 + 49 + 55                                    (col. 1 si 2)
* *
* *     Rd. 60 = rd. 58 - 59,  daca rd. 58 - 59 > 0                  (col. 1 si 2)
* *     Rd. 61 = rd. 59 - 58,  daca rd. 58 - 59 <= 0                 (col. 1 si 2)
* *
* *     Rd. 64 = rd.60 - 61 - 62 - 63,
* *                                   daca rd.60 - 61 - 62 - 63 > 0  (col. 1 si 2)
* *     Rd. 65 = rd.61 + 62 + 63 - 60,
* *                                   daca rd.60 - 61 - 62 - 63 <= 0 (col. 1 si 2)
* *
* 
* 
* 
* 
* 
* 
* 
* 
* 

Flush && Asigur datele pe disc

*
* Refac in ce se calculeaza , precum si rotunjirea care se aplica 
*
__BiRot = oBiRot
__BiLei = oBiLei

Select(zl)

Return &&F20Comp()


Procedure F20CompR   && Completeaza din alte raportari

Private cda
Private zl
Private nrArtZl


 Flush && Asigur datele pe disc

zl=Select(0)
nrArtZl=GetRecNo()
* * M.Cazac 30 apr 2016
* * M.Cazac 16 apr 2015
* * Lavinia 19 mar 2014
* * Lavinia 27 apr 2013
* * Lavinia 09 Mar 2012
* * Lavinia 26 Feb 2011
* * Lavinia 05 Feb 2010
* * Lavinia 12 Feb 2009
* * M.Cazac 08/02/2008
* *
* * cor. Vasile 01.02.2007
* *             27.02.2007 Melinda
* *
* *
* * In cele ce urmeaza exista cateva indicatii suplimentare fata de manual
* * Editati acest fisier dupa cum doriti; ideea este sa stergeti toate prostiile
* *
* * -----------
* *| Definitii |
* * -----------
* * Functiile admise sunt cele descrise in documentatie si numele lor
* * respecta urmatoarele reguli:
* * ---------------------------------------------------------------
* *| Prima litera  | A doua litera | A treia litera| A patra litera|
* *|---------------|---------------|---------------|---------------
* *| s - Sold      |  d - Debit    |  l - Luna     | c - curenta   |
* *| t - Total sume|               |  p - Perioada |               |
* *| r - Rulaj     |  c - Credit   |  a - An       | p - precedenta|
* * ---------------------------------------------------------------
* *
* * Introduceti in continuare definitii pentru variabilele pe care doriti
* * sa le utilizati in corelatii.
* *
* *[definitii]
* *
* *r1c1 = sdac(201+203+205+207+208+230)-scac(280+290+293)
* *r1c2 = sdpc(201+203+205+207+208+230)-scpc(280+290+293)
* *
* *r2c1 = sdac(211+212+231)-scac(2810+281+291+293)
* *r2c2 = sdpc(211+212+231)-scpc(2810+281+291+293)
* *
* *r4 = r1+r2+r3
* *
* * Maximul lungimii pentru o linie este 255 caractere
* * O linie foarte lunga se va desparti in linii mai scurte
* * utilizand variabile intermediare; in exemplul de mai jos x1, x2, x3
* *
* * Deasemenea se pot utiliza continuari de linii, cu ; in ultima coloana
* * Se observa in exemplul cu X2 de mai jos , ca , pentru lizibilitate:
* * s-au grupat conturile pe linii, deasemenea observati (si procedati la fel)
* * in ce priveste:
* * - alinierea (utilizati TAB-uri)
* * - semnul plus este la inceputul liniei de continuare
* * - parantezele de inceput si sfarsit sunt pe linii separate
* *
* *
* 
* *[corelatii]
* 
* *
* * In cazul in care corelatiile sunt conditionate, tb scrisa fiecare coloana
* *
* 
* 
* * ------------------------------------------------------------------
* 
* 
* * Analitice utilizate in formular
* 
* 
* *a3="xxxx" && 7611 venit obt. din unit afiliate
* *a4="xxxx" && Analitic 763 veniturile din alte invest.obtinute de la entitatile afiliate
* *a5="xxxx" && Analitic 766 veniturile din alte invest.obtinute de la entitatile afiliate
* *a6="xxxx" && analitic la 666 chelt.dob. in relatia cu entitatile afiliate
* 
* 
* 
* * 1.Cifra de afaceri neta (rd.02 la 05)
* 
* 
* * Productia vnduta (ct.701+702+703+704+705+706+708)
* 
* 
* * Venituri din vnzarea marfurilor (ct.707)
* 
* 
* *
* * Venituri din dobanzi inregistrate de entitatile al caror obiect de activitate il constituie leasingul
* *(ct. 766)
* *
* 
* 
* * Venituri din subventii de exploatare aferente cifrei de afaceri nete (ct.7411)
* *
* *
* * 2.Variatia stocurilor de produse finite (ct.711) Sold C
* * si a productiei in curs de executie    Sold D
* *
* * Se pune manual (suma aritmetica a soldurilor lunare a lui 711 inchise prin 121)
* *
* 
* 
* * 3.Productia realizata de entitate pentru scopurile sale proprii si capitalizata (ct.721+722)
* 
* 
* * 4. Alte venituri din exploatare 751+758+7815
* * (pt 2014 a fost 758+7417+7815)
* 
* 
* 
* 
* *
* * VENITURI DIN EXPLOATARE - TOTAL (rd.01+06-07+08+09)
* *
* 
* * 5. a) Cheltuieli cu materiile prime si materialele consumabile (ct.601+602)
* *
* 
* * Alte cheltuieli materiale (ct.603+604+606+608)
* *
* 
* *b) Alte cheltuieli externe (cu energie si apa) (ct.605-7413)
* *
* 
* * c) Cheltuieli privind marfurile (ct.607)
* *
* 
* *
* *6.Cheltuieli cu personalul (rd.16+17), din care:
* *
* 
* * a) Salarii si indemnizatii (ct.641+642-7414)
* 
* 
* *b) Cheltuieli cu asigurarile si protectia sociala (ct.645-7415)
* *
* 
* * 7. a) Ajustari de valoare privind imobilizarile corporale si necorporale (rd.19-20)
* 
* 
* * a.1) Cheltuieli (ct.6811+6813+6817)
* 
* 
* *a.2) Venituri (ct.7813) 20
* 
* 
* *b) Ajustari de valoare privind activele circulante (rd.22-23) 21
* 
* 
* *b.1) Cheltuieli (ct.654+6814) 22
* 
* 
* * b.2) Venituri (ct.754+7814) 23
* 
* 
* * 8. Alte cheltuieli de exploatare (rd.25 la 28) 24
* 
* 
* 
* *8.1 Cheluieli privind prestatiile externe
* 
* 
* * 8.2 Cheltuieli cu alte impozite, taxe si varsaminte asimilate
* 
* 
* * 8.3 Cheltuieli prot mediului inconj
* 
* 
* 
* 
* 
* 
* * Cheltuieli privind dobanzile de refinantare inregistrate de entitatile
* * al caror obiect de activitate il constituie leasingul (ct. 666)
* *
* 
* * Ajustari privind provizioanele (rd.30-31)
* 
* 
* * - Cheltuieli (ct.6812) 30
* 
* 
* * - Venituri (ct.7812)
* 
* 
* * CHELTUIELI DE EXPLOATARE - TOTAL (rd.11 la 15 +18+21+24+29)
* 
* 
* 
* * PROFITUL SAU PIERDEREA DIN EXPLOATARE - Profit (rd.10-32)
* *
* 
* * Pierdere (32-10)
* *
* 
* 
* * 9. Venituri din interese de participare (ct. 7611+7613)
* *
* 
* 
* * din care, veniturile obtinute de la entitatile afiliate
* 
* 
* * Venituri din dobnzi (ct.766)
* 
* 
* * din care, veniturile obtinute de la entitatile afiliate
* 
* 
* * Ven.din subv.de expl.pt.dob.datoarata
* 
* 
* 
* * Alte venituri financiare (ct.762+764+765+767+768+7615)
* 
* 
* 
* * VENITURI FINANCIARE - TOTAL (rd.45+47+49+50)
* 
* 
* * 12.Ajustari de valoare privind imobilizarile financiare si  a
* * investitiilor financiare detinute ca active circulante (rd.44-45)
* 
* 
* *
* * - Cheltuieli (ct.686) 44
* *
* 
* * - Venituri (ct.786)
* 
* 
* * 13. Cheltuieli privind dobnzile (ct.666-7418)
* 
* 
* * din care, cheltuielile in relatia cu entitatile afiliate
* 
* 
* 
* * Alte cheltuieli financiare (ct.663+664+665+667+668)
* 
* 
* * CHELTUIELI FINANCIARE - TOTAL (rd.43+46+48)
* 
* 
* * PROFITUL SAU PIERDEREA FINANCIAR(A) - Profit (rd.42-49)
* 
* 
* 
* 
* * VENITURI TOTALE (rd.10+42+54) 58
* 
* 
* * CHELTUIELI TOTALE (rd.32+49+55)
* 
* 
* *PROFITUL SAU PIERDERA BRUTA - Profit (rd.58-59) 60
* 
* 
* * Pierdere (rd.59-58)
* 
* 
* * 18.Impozitul pe profit (ct.691)
* 
* 
* *19. Alte impozite neprezentate la elementele de mai sus (ct. 698)
* 
* 
* *
* *20. PROFITUL SAU PIERDEREA NET(A) A EXERCITIULUI FINANCIAR 64
* *
* * Urmatoarele doua formule sunt bine asa, nu cum au scris tontii aia de la MF
* * - In 67 se pune daca e profit
* *  - In 68 se pune daca e pierdere
* *
* *r68c1 = r64c1-r66c1-r67c1 daca r64c1 >r66c1+r67c1
* *r68c2 = r64c2-r66c2-r67c2 daca r64c2 >r66c2+r67c2
* *
* 
* *r69c1 = Abs(r64c1-r66c1-r67c1) daca r64c1 <= r66c1+r67c1
* *r69c2 = Abs(r64c2-r66c2-r67c2) daca r64c2 <= r66c2+r67c2
* *
* *
* * Sau alt fel (pt.linistea noastra)
* *
* *r68c1 =r64c1-r66c1-r67c1 daca r64c1 > 0
* *r68c2 =r64c2-r66c2-r67c2 daca r64c2 > 0
* *
* *r69c1 = r65c1+r66c1+r67c1 daca r65c1 >0
* *r69c2 = r65c2+r66c2+r67c2 daca r65c2 >0
* 
* * Sau, mai nou: 11/05/2012 (Lavinia din MF)
* 
* 
* 
* 
* *
* * Corelatii pentru  CONTUL DE PROFIT SI PIERDERE (cod 20) 2010
* *
* 
* 
* 
* 
* 
* 
* 
* *
* *     Rd. 46 >= 47   (col. 1 si 2)
* *
* *     Rd. 49  = rd. 43 + 46 + 48                                   (col. 1 si 2)
* *
* *     Rd. 50 = rd. 42 - 49,  daca  rd. 42 - 49 > 0                 (col. 1 si 2)
* *     Rd. 51 = rd. 49 - 42,  daca  rd. 42 - 49 <= 0                (col. 1 si 2)
* *
* *     Rd. 52 = rd. 10 + 42 - 32 - 49,
* *                               daca rd. 10 + 42 - 32 - 49 > 0     (col. 1 si 2)
* *     Rd. 53 = rd. 32 + 49 - 10 - 42,
* *                               daca rd. 10 + 42 - 32 - 49 <= 0    (col. 1 si 2)
* *
* *     Rd. 56 = rd. 54 - 55,  daca rd. 54  - 55 > 0                 (col. 1 si 2)
* *     Rd. 57 = rd. 55 - 54,  daca rd. 54  - 55 <= 0                (col. 1 si 2)
* 
* 
* 
* 
* 
* 
* *
* *     Rd. 58 = rd. 10 + 42 + 54                                    (col. 1 si 2)
* *     Rd. 59 = rd. 32 + 49 + 55                                    (col. 1 si 2)
* *
* *     Rd. 60 = rd. 58 - 59,  daca rd. 58 - 59 > 0                  (col. 1 si 2)
* *     Rd. 61 = rd. 59 - 58,  daca rd. 58 - 59 <= 0                 (col. 1 si 2)
* *
* *     Rd. 64 = rd.60 - 61 - 62 - 63,
* *                                   daca rd.60 - 61 - 62 - 63 > 0  (col. 1 si 2)
* *     Rd. 65 = rd.61 + 62 + 63 - 60,
* *                                   daca rd.60 - 61 - 62 - 63 <= 0 (col. 1 si 2)
* *
* 
* 
* 
* 
* 
* 
* 
* 
* 

 Flush && Asigur datele pe disc


Select(zl)

Return &&F20CompR()


Procedure F20CTot   && Calculeaza totaluri

*
* Functia calculeaza totaluri in rxcx
* 
* Functia se executa in 3 iteratii, deoarece exista formulare
* in care totalul este pus inaintea randurilor componente
* 
* Mai nou (28-Iul-2003)
* Daca exista conditii totalul se calculeaza _doar_ daca este 
* indeplinita conditia, altefle este lasat nemodificat
* Pentru a nu se incurca trebuie ca mai intai sa se puna 0 in toate
* randurile de total
*


Private cda
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Flush && Asigur datele pe disc




*
* Pun mai intai zero in toate randurile de total, sau in cele care sunt calcule pure
*
* Asigur zero in linie de total
Seek 1
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r1c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r1c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 16
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r16c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r16c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 22
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r22c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r22c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 25
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r25c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r25c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 28
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r28c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r28c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 31
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r31c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r31c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 39
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r39c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r39c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 42
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r42c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r42c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 43
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r43c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 43
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r43c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 44
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r44c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 44
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r44c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 52
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r52c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r52c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 53
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r53c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r53c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 59
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r59c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r59c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 60
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r60c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 60
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r60c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 61
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r61c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 61
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r61c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 62
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r62c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r62c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 63
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r63c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r63c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 64
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r64c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 64
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r64c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 65
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r65c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 65
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r65c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 68
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r68c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 68
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r68c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 69
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r69c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 69
If Found() Then 
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r69c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
EndIf
* 
* Functia de calcul efectiv se executa in 3 iteratii, deoarece exista formulare
* in care totalul este pus inaintea randurilor componente
* 
* 
* Iteratia 1
* 
        r1c1 =r2c1+r3c1-r4c1+r5c1+r6c1
        r1c2 =r2c2+r3c2-r4c2+r5c2+r6c2
        r16c1 =r1c1+r7c1-r8c1+r9c1+r10c1+r11c1+r12c1+r13c1
        r16c2 =r1c2+r7c2-r8c2+r9c2+r10c2+r11c2+r12c2+r13c2
        r22c1 =r23c1+r24c1
        r22c2 =r23c2+r24c2
        r25c1 =r26c1-r27c1
        r25c2 =r26c2-r27c2
        r28c1 =r29c1-r30c1
        r28c2 =r29c2-r30c2
        r31c1 =r32c1+r33c1+r34c1+r35c1+r36c1+r37c1+r38c1
        r31c2 =r32c2+r33c2+r34c2+r35c2+r36c2+r37c2+r38c2
        r39c1 =r40c1-r41c1
        r39c2 =r40c2-r41c2
        r42c1 =r17c1+r18c1+r19c1+r20c1-r21c1+r22c1+r25c1+r28c1+r31c1+r39c1
        r42c2 =r17c2+r18c2+r19c2+r20c2-r21c2+r22c2+r25c2+r28c2+r31c2+r39c2
        If ( r16c1 > r42c1) Then
            r43c1 =r16c1-r42c1 
        EndIf
        If ( r16c2 > r42c2) Then
            r43c2 =r16c2-r42c2 
        EndIf
        If ( r42c1 >= r16c1) Then
            r44c1 =r42c1-r16c1 
        EndIf
        If ( r42c2 >= r16c2) Then
            r44c2 =r42c2-r16c2 
        EndIf
        r52c1 =r45c1+r47c1+r49c1+r50c1
        r52c2 =r45c2+r47c2+r49c2+r50c2
        r53c1 =r54c1-r55c1
        r53c2 =r54c2-r55c2
        r59c1 =r53c1+r56c1+r58c1
        r59c2 =r53c2+r56c2+r58c2
        If ( r52c1 > r59c1) Then
            r60c1 =r52c1-r59c1 
        EndIf
        If ( r52c2 > r59c2) Then
            r60c2 =r52c2-r59c2 
        EndIf
        If ( r59c1 > r52c1) Then
            r61c1 =r59c1-r52c1 
        EndIf
        If ( r59c2 > r52c2) Then
            r61c2 =r59c2-r52c2 
        EndIf
        r62c1 =r16c1+r52c1
        r62c2 =r16c2+r52c2
        r63c1 =r42c1+r59c1
        r63c2 =r42c2+r59c2
        If ( r62c1 > r63c1) Then
            r64c1 =r62c1-r63c1 
        EndIf
        If ( r62c2 > r63c2) Then
            r64c2 =r62c2-r63c2 
        EndIf
        If ( r63c1 > r62c1) Then
            r65c1 =r63c1-r62c1 
        EndIf
        If ( r63c2 > r62c2) Then
            r65c2 =r63c2-r62c2 
        EndIf
        If ( r64c1 > r65c1+r66c1+r67c1) Then
            r68c1 =r64c1-r65c1-r66c1-r67c1 
        EndIf
        If ( r64c2 > r65c2+r66c2+r67c2) Then
            r68c2 =r64c2-r65c2-r66c2-r67c2 
        EndIf
        If ( r65c1+r66c1+r67c1 > r64c1) Then
            r69c1 = r65c1+r66c1+r67c1 - r64c1 
        EndIf
        If ( r65c2+r66c2+r67c2 > r64c2) Then
            r69c2 = r65c2+r66c2+r67c2 - r64c2 
        EndIf
* 
* Iteratia 2
* 
        r1c1 =r2c1+r3c1-r4c1+r5c1+r6c1
        r1c2 =r2c2+r3c2-r4c2+r5c2+r6c2
        r16c1 =r1c1+r7c1-r8c1+r9c1+r10c1+r11c1+r12c1+r13c1
        r16c2 =r1c2+r7c2-r8c2+r9c2+r10c2+r11c2+r12c2+r13c2
        r22c1 =r23c1+r24c1
        r22c2 =r23c2+r24c2
        r25c1 =r26c1-r27c1
        r25c2 =r26c2-r27c2
        r28c1 =r29c1-r30c1
        r28c2 =r29c2-r30c2
        r31c1 =r32c1+r33c1+r34c1+r35c1+r36c1+r37c1+r38c1
        r31c2 =r32c2+r33c2+r34c2+r35c2+r36c2+r37c2+r38c2
        r39c1 =r40c1-r41c1
        r39c2 =r40c2-r41c2
        r42c1 =r17c1+r18c1+r19c1+r20c1-r21c1+r22c1+r25c1+r28c1+r31c1+r39c1
        r42c2 =r17c2+r18c2+r19c2+r20c2-r21c2+r22c2+r25c2+r28c2+r31c2+r39c2
        If ( r16c1 > r42c1) Then
            r43c1 =r16c1-r42c1 
        EndIf
        If ( r16c2 > r42c2) Then
            r43c2 =r16c2-r42c2 
        EndIf
        If ( r42c1 >= r16c1) Then
            r44c1 =r42c1-r16c1 
        EndIf
        If ( r42c2 >= r16c2) Then
            r44c2 =r42c2-r16c2 
        EndIf
        r52c1 =r45c1+r47c1+r49c1+r50c1
        r52c2 =r45c2+r47c2+r49c2+r50c2
        r53c1 =r54c1-r55c1
        r53c2 =r54c2-r55c2
        r59c1 =r53c1+r56c1+r58c1
        r59c2 =r53c2+r56c2+r58c2
        If ( r52c1 > r59c1) Then
            r60c1 =r52c1-r59c1 
        EndIf
        If ( r52c2 > r59c2) Then
            r60c2 =r52c2-r59c2 
        EndIf
        If ( r59c1 > r52c1) Then
            r61c1 =r59c1-r52c1 
        EndIf
        If ( r59c2 > r52c2) Then
            r61c2 =r59c2-r52c2 
        EndIf
        r62c1 =r16c1+r52c1
        r62c2 =r16c2+r52c2
        r63c1 =r42c1+r59c1
        r63c2 =r42c2+r59c2
        If ( r62c1 > r63c1) Then
            r64c1 =r62c1-r63c1 
        EndIf
        If ( r62c2 > r63c2) Then
            r64c2 =r62c2-r63c2 
        EndIf
        If ( r63c1 > r62c1) Then
            r65c1 =r63c1-r62c1 
        EndIf
        If ( r63c2 > r62c2) Then
            r65c2 =r63c2-r62c2 
        EndIf
        If ( r64c1 > r65c1+r66c1+r67c1) Then
            r68c1 =r64c1-r65c1-r66c1-r67c1 
        EndIf
        If ( r64c2 > r65c2+r66c2+r67c2) Then
            r68c2 =r64c2-r65c2-r66c2-r67c2 
        EndIf
        If ( r65c1+r66c1+r67c1 > r64c1) Then
            r69c1 = r65c1+r66c1+r67c1 - r64c1 
        EndIf
        If ( r65c2+r66c2+r67c2 > r64c2) Then
            r69c2 = r65c2+r66c2+r67c2 - r64c2 
        EndIf
* 
* Iteratia 3
* 
        r1c1 =r2c1+r3c1-r4c1+r5c1+r6c1
        r1c2 =r2c2+r3c2-r4c2+r5c2+r6c2
        r16c1 =r1c1+r7c1-r8c1+r9c1+r10c1+r11c1+r12c1+r13c1
        r16c2 =r1c2+r7c2-r8c2+r9c2+r10c2+r11c2+r12c2+r13c2
        r22c1 =r23c1+r24c1
        r22c2 =r23c2+r24c2
        r25c1 =r26c1-r27c1
        r25c2 =r26c2-r27c2
        r28c1 =r29c1-r30c1
        r28c2 =r29c2-r30c2
        r31c1 =r32c1+r33c1+r34c1+r35c1+r36c1+r37c1+r38c1
        r31c2 =r32c2+r33c2+r34c2+r35c2+r36c2+r37c2+r38c2
        r39c1 =r40c1-r41c1
        r39c2 =r40c2-r41c2
        r42c1 =r17c1+r18c1+r19c1+r20c1-r21c1+r22c1+r25c1+r28c1+r31c1+r39c1
        r42c2 =r17c2+r18c2+r19c2+r20c2-r21c2+r22c2+r25c2+r28c2+r31c2+r39c2
        If ( r16c1 > r42c1) Then
            r43c1 =r16c1-r42c1 
        EndIf
        If ( r16c2 > r42c2) Then
            r43c2 =r16c2-r42c2 
        EndIf
        If ( r42c1 >= r16c1) Then
            r44c1 =r42c1-r16c1 
        EndIf
        If ( r42c2 >= r16c2) Then
            r44c2 =r42c2-r16c2 
        EndIf
        r52c1 =r45c1+r47c1+r49c1+r50c1
        r52c2 =r45c2+r47c2+r49c2+r50c2
        r53c1 =r54c1-r55c1
        r53c2 =r54c2-r55c2
        r59c1 =r53c1+r56c1+r58c1
        r59c2 =r53c2+r56c2+r58c2
        If ( r52c1 > r59c1) Then
            r60c1 =r52c1-r59c1 
        EndIf
        If ( r52c2 > r59c2) Then
            r60c2 =r52c2-r59c2 
        EndIf
        If ( r59c1 > r52c1) Then
            r61c1 =r59c1-r52c1 
        EndIf
        If ( r59c2 > r52c2) Then
            r61c2 =r59c2-r52c2 
        EndIf
        r62c1 =r16c1+r52c1
        r62c2 =r16c2+r52c2
        r63c1 =r42c1+r59c1
        r63c2 =r42c2+r59c2
        If ( r62c1 > r63c1) Then
            r64c1 =r62c1-r63c1 
        EndIf
        If ( r62c2 > r63c2) Then
            r64c2 =r62c2-r63c2 
        EndIf
        If ( r63c1 > r62c1) Then
            r65c1 =r63c1-r62c1 
        EndIf
        If ( r63c2 > r62c2) Then
            r65c2 =r63c2-r62c2 
        EndIf
        If ( r64c1 > r65c1+r66c1+r67c1) Then
            r68c1 =r64c1-r65c1-r66c1-r67c1 
        EndIf
        If ( r64c2 > r65c2+r66c2+r67c2) Then
            r68c2 =r64c2-r65c2-r66c2-r67c2 
        EndIf
        If ( r65c1+r66c1+r67c1 > r64c1) Then
            r69c1 = r65c1+r66c1+r67c1 - r64c1 
        EndIf
        If ( r65c2+r66c2+r67c2 > r64c2) Then
            r69c2 = r65c2+r66c2+r67c2 - r64c2 
        EndIf

 Flush && Asigur datele pe disc


Select(zl)
=SetRecNo(nrArtZl)

Return &&F20CTot()


Procedure F20DfTot   && Defixeaza totaluri

*
* Functia defixeaza totaluri in baza de date
* 
* 
Private cda
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Flush && Asigur datele pe disc

Seek 1
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 16
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 22
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 25
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 28
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 31
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 39
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 42
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 52
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 53
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 59
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 62
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf
Seek 63
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
EndIf

 Flush && Asigur datele pe disc


Select(zl)
=SetRecNo(nrArtZl)

Return &&F20DfTot()

Function	GetRecNo

	Private		nrArtCrt
	*
	* Se pozitioneaza in interiorul fisierului si
	* retine nr. articol curent
	*		0	--	Bof()
	*		-1	--	Eof()
	*		nr	--	in fisier
	*

	Do Case
		Case Bof()
			Go Top
		Case Eof()
			Go Bottom
	EndCase

	Do Case
		Case Eof() 				
			nrArtCrt = -1		
		Case Bof()				
			nrArtCrt = 0		
		Otherwise				
			nrArtCrt	= RecNo()	
	EndCase

Return (nrArtCrt)


*Ma pozitionez pe un numar de articol memorat anterior
*
* 25/02/04 13:07:52
*
* 	Pentru a nu mai avea Record is out of range; tratam erorile posibile
* 	testata in ..\teste\tSetRec
*
Function	SetRecNo
Parameters	nrArtCrt

	*
	* Se pozitioneaza in interiorul fisierului in functie de parametrul
	* de apel
	*
	*		0	--	Bof
	*		-1	--	Eof
	*		nr	--	in fisier
	*
	* 16-Feb-98 - If Used() - daca este deschisa vreo baza de date!
	* 12-Oct-02 - If Type() - cand se buseste programul, macar aici sa nu dea -
	* 12-Oct-02 - If Type() - am scos-o
	*

	Private oErr, kRet
	oErr = 'On Error '+On("ERROR")

	kRet = .T.
	On Error Do ErrSetRec


	If Used() Then


			Do Case
				Case nrArtCrt > 0
					Go (nrArtCrt)	
				Case nrArtCrt < 0 	
					Go Bottom		
				Case nrArtCrt = 0	
					Go Top			
			EndCase

		*EndIf
	EndIf


	&oErr

Return(kRet)



Function ErrSetRec

	If Used() Then
		Go Bottom
	EndIf

	kRet = .F.

Return 
